> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/api-and-platform/widgets/consent-notices/deployments.md).

# Deployments

Notice deployments track when a notice configuration was published and deployed to your production environments. They are used for audit and compliance purposes to keep a full log of changes made to how consent is being collected.

The `/widgets/notices/deployments` endpoint of the API exposes the notice deployments managed by Didomi for your organizations. For a full reference of the endpoint and the resources that it returns, visit <https://api.didomi.io/docs/>.

## Publish a draft configuration

{% hint style="danger" %}
Only draft configurations can be published. A draft configuration is marked as deployed once it is published and cannot be published or modified anymore.
{% endhint %}

To publish the current draft configuration, create a deployment for that configuration by sending a `POST /widgets/notices/deployments` request for that specific configuration.

After a configuration is published, the publishing date is set in its `deployed_at` field and that configuration cannot be modified or published anymore.

**Example**

```javascript
POST https://api.didomi.io/v1/widgets/notices/deployments

BODY
{
    "notice_id": "GG2rdGfN",
    "organization_id": "didomi",
    "production_config_id": "2fcjz7Cw",
    "message": "Description of changes included in my deployment"
}
```

The `production_config_id` should be the ID of the draft config you are publishing. `message` is a text field that can be used to indicate information on what changes are included in your deployment.

[See the API documentation for more details on this endpoint.](https://api.didomi.io/docs/#/notices/post_widgets_notices_deployments)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.didomi.io/api-and-platform/widgets/consent-notices/deployments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
